<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Expires" content="0">
	<title>Weilianqi</title>
	<link rel="stylesheet" href="style.css">
</head>

<body>
<header>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</header>
<main>
<h1>Weilianqi whitepaper</h1>
<p>Weiqi is the ancient game of Go, in Chinese the name literally means surrounding-game. Weilianqi means surrounding-connecting-game, it retains the competitive aspect of ordinary Go while introducing a collaborative element where a tie gives the highest total score.</p>

<p>Read below for rules and tentative tokenomics. <a href="/play.html">Click here to play offline.</a> To get involved with development check out <a href="https://gitlab.com/marcus.appelros/wlqtest" target="_blank">the source code</a>.

<p>The rules of this implementation are lenient, to survive all you need to do is divide the board somehow, to check if a group is alive remove all other stones and see if the board has two distinct areas, if the board is split the group is alive.</p>

<img src="wlq0.png" alt="The minimal group" style="max-width:100%"> 

<p>The image above shows the smallest living group, it has surrounded one point of territory which is split from the rest of the board, hence the group is alive.</p>

<p>Units form bonds with the stones of other colors around them, the bonds among all living groups are multiplied with the areas to form the final score.</p>

<img src="wlq1.png" alt="Three minimal groups" style="max-width:100%">

<p>In the image above we see three minimal groups each surrounding one point and being composed of three stones, so each color has 4 points. However there are no bonds so the total score is zero.</p>

<img src="wlq2.png" alt="Bonds are formed" style="max-width:100%">

<p>If we add one stone in the middle all three groups touch and there are no zeros in the score calculation: 5*4*4*2*1*1=160.</p>

<img src="wlq3.png" alt="Green is alive with zero liberties" style="max-width:100%">

<p>Note that there is no capturing through loss of liberties like in Weiqi, the green group above is perfectly alive because if all other stones are removed the board is split in two.</p>

<p>The game is over once all three players pass in succession, unlike in Weiqi there is no need for a manual consensus phase of marking dead stones since there can be no disagreement on which groups are alive.</p>

<p>The plan is to integrate this game into a blockchain built with the Cosmos SDK.</p>

<p>Both those who play collaboratively aiming for the highest total score and those who play competitively aiming for the highest territorial score will be rewarded through the following tokenomics.</p>

<p>Whenever a game is completed a NFT is minted to each participant which contains the results of the game. These NFTs can be burned to obtain rewards. Burning a NFT takes a week and in addition they cannot be transferred, only sold through timed auction.</p>

<p>There are 10 tiers which players can enter into a queue to play in. In tier 0 one needs a QI0 token for every move, these are given by a faucet. Tier 1 needs QI1 tokens which can be obtained by burning NFTs, QIN tokens (for tier N) are generally obtained by burning NFTs from the tiers N-1/N/N+1, in amounts depending on how well one scored. There will be 3 different board sizes, to join the queue in a certain tier one would need 50/100/150 of the appropriate QIN. The time limit is a flat 7 days per move, a player who times out auto passes their turn until they reconfirm their presence.</p>

<p>The furnace that burns NFTs mints QI1-QI9 in addition to the main currency QI and distributes it among all people currently burning, according to tier. For tier 0 a hundred QI could be minted per week, tier 1 a thousand, tier 2 two thousand and so on. Note that it is not possible to burn two NFTs from different tiers at the same time. The exact distribution ratios are to be determined, there could be 10 buckets where some remain empty if there are less than 10 people burning NFTs in that tier, the most QI is distributed among the NFTs in the top bucket and people who got a zero score automatically go into the last bucket. QIN is minted independent of how many people are currently burning, so the amount would mostly depend on which bucket the NFT is sorted into. In addition QIN is minted for the next tier to the players who get the highest territorial and bond scores in any given game.</p>

<p>A marketplace will be available where people can trade IBC ATOM for QI and QI for QIN as well as NFTs. The makers fee will be 0 to promote liquidity and the takers fee goes to the community pool.</p>

<p>A referral system will be present where any new wallet which receives a transfer of QI will earn an additional 1% on NFTs burned from games the user played themselves, this 1% is divided between the referrer and the user with the majority going to the referrer, it will stop once the extra 1% minted QI has reached 1000 times the original amount of QI sent.</p>

<p>The genesis supply will be 9 million QI with the majority going to participants of the testnet. Inflation will be around 15%, not counting tokens minted in the furnace. Most of the inflation will go to stakers and the rest divided among the community pool, a development pool where everyone who has contributed to the codebase can vote on how the funds are spent, a lottery mechanism, a pool for onboarding new users and a jackpot that is paid out whenever a game sets a new high score in one of the board sizes.</p>

<p>The lottery rewards those who stay on the same account by multiplying the amount of QI gained from burning non-bought NFTs with the amount of QI gained from referrals to arrive at the "amount of tickets", this is to discourage people simply referring themselves for the 1% bonus. Each week between 1 and 1000 people receive a prize which will have to be claimed within one week or a month, to encourage platform participation.</p>

<p>The pool for onboarding new users will stop receiving inflation rewards once it contains more than a million QI. The pool will grant 1 QI (or 0.01% of the QI in the pool, whichever is lowest) to users who complete a number of tasks on the testnet, for example completing 10 games with a nonzero score, the exact tasks will be modified by governance. The pool will receive referral rewards.</p>

<p>The jackpot can become a great way to attract new users. If one of the 15% inflation goes to the jackpot then this is 90000/52/3=577 QI per board size in the first week, as the total supply gets larger and the high score harder to beat the jackpots will increase exponentially, attracting skilled players from the Weiqi community.</p>

<p>The queue will start games 3 times a day by mixing the matching of participants in the queue, this is to prevent a single person easily playing against themselves with multiple accounts.</p>

<p>The gas fees should be very low to allow for value appreciation of QI and the hundreds of transactions that are needed to finish a game.</p>

<p>For any inquiries or comments please send an email to admins at laerande.org</p>

<br><br><br><br><br><br><br>
</main>
<footer>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</footer>
</body>

</html>
